.ow-archive {
	--_bg: var(--ow-archive--bg, var(--wp--preset--color--base, #fff));
	--_fg: var(--ow-archive--fg, var(--wp--preset--color--contrast, #000));
	--_padding-block: var(--ow-archive--padding-block, var(--wp--preset--spacing--80, 60px));
	--_container--width: var(--ow-archive-container--width, var(--wp--custom--width--default, 1400px));
	--_container--padding-inline: var(--ow-archive--container--padding-inline, var(--wp--preset--spacing--grid-margin, 40px));
	--_link-icon-url: var(--ow-content-links--link-icon-url, var(--icon-forward));
	--_link-icon-size: var(--ow-content-links--link-icon-size, 24px);
	--_icon-mask: var(--_link-icon-url) no-repeat center / contain;
	--_icon-size: var(--_link-icon-size);
	--_icon-rotate: 0deg;
	--_news-card-fg: var(--ow-news-card--fg, var(--wp--preset--color--base, #fff));
	--_gradient-dark-opacity: 0.7;
	--_gradient-light-opacity: 0;
	--_background-gradient: linear-gradient(
		0deg,
		rgba(9, 9, 9, var(--_gradient-dark-opacity)) 0%,
		rgba(217, 217, 217, var(--_gradient-light-opacity)) 100%
	);

	background-color: var(--_bg);
	padding-block: var(--_padding-block);
	color: var(--_fg);
}

.ow-archive__container {
	margin-inline: auto;
	width: min(var(--_container--width), 100% - 2 * var(--_container--padding-inline));
}

.ow-archive-content {
	--_col-optimal-width: 400px;

	display: grid;
	grid-template-columns: repeat(auto-fill, minmax(min(var(--_col-optimal-width), 100%), 1fr));
	padding-top: var(--wp--preset--spacing--80, 64px);
	padding-bottom: var(--wp--preset--spacing--20, 32px);
}

.ow-archive--post .ow-archive-content {
	gap: var(--wp--preset--spacing--50);
}

.ow-archive-pagination__container {
	display: flex;
	justify-content: center;
	align-items: center;
	padding: var(--wp--preset--spacing--80, 64px) 0;
}

.ow-archive-pagination__page {
	border-bottom: 2px solid transparent;
	padding: var(--wp--preset--spacing--10, 12px);
	font-size: var(--wp--preset--font-size--large, 20px);
	cursor: pointer;
}

.ow-archive-pagination__page-active {
	border-bottom: 2px solid var(--_fg);
}

.ow-archive-pagination__arrow::before,
.ow-archive-pagination__arrow::after {
	display: block;
	width: var(--_icon-size);
	height: var(--_icon-size);
	background: currentcolor;
	-webkit-mask: var(--_icon-mask);
	mask: var(--_icon-mask);
	rotate: var(--_icon-rotate);
	margin: 0 var(--wp--preset--spacing--20, 20px);
	cursor: pointer;
}

.ow-archive-pagination__prev::before {
	--_icon-rotate: 180deg;
	content: "";
}

.ow-archive-pagination__next::after {
	content: "";
}

.ow-archive-filter {
	display: grid;
	grid-template-columns: 1fr 1fr;
	grid-template-areas: "tech service" "search search";
	gap: var(--wp--preset--spacing--50, 32px);
	align-items: end;
}

@media (min-width: 800px) {
	.ow-archive-filter {
		grid-template-columns: 1fr 1fr 1fr 1fr;
		grid-template-areas: "tech service reset search";
		column-gap: var(--wp--preset--spacing--50, 40px);
	}
}

.ow-search-wrapper {
	grid-area: search;
}

.ow-select--service {
	grid-area: service;
}

.ow-select--tech {
	grid-area: tech;
}

.ow-archive-filter__reset {
	display: none;
	grid-area: reset;
}

@media (min-width: 800px) {
	.ow-archive-filter__reset {
		display: flex;
		justify-self: flex-start;
		align-items: center;
		gap: var(--wp--preset--spacing--10, 10px);
		cursor: pointer;
		font-size: var(--wp--preset--font-size--x-small, 14px);
		font-weight: 600;
		margin-left: var(--wp--preset--spacing--20, 24px);
	}
}

.ow-archive-filter .ow-select-wrapper,
.ow-archive-filter .ow-archive-filter__select,
.ow-archive-filter .ow-search-wrapper {
	width: 100%;
	position: relative;
}

.ow-archive-filter__reset::after {
	--_icon-mask: var(--icon--refresh) no-repeat center / contain;

	content: "";
	display: inline-block;
	width: var(--_icon-size);
	height: var(--_icon-size);
	background: currentcolor;
	-webkit-mask: var(--_icon-mask);
	mask: var(--_icon-mask);
	rotate: var(--_icon-rotate);
}

.ow-select-wrapper select {
	appearance: none;
	-webkit-appearance: none;
	-moz-appearance: none;
	padding: var(--wp--preset--spacing--20, 20px) var(--wp--preset--spacing--30, 40px);
	width: 100%;
	padding-right: calc(var(--_icon-size) + 1.25rem);
	background-color: var(--_bg);
	border: 0;
	border-bottom: 2px solid var(--_fg);
	font-size: var(--wp--preset--font-size--medium);
	cursor: pointer;
}

.ow-select-wrapper::after {
	content: "";
	position: absolute;
	top: 50%;
	right: var(--wp--preset--spacing--10, 12px);
	transform: translateY(-50%) rotate(90deg);
	width: var(--_icon-size);
	height: var(--_icon-size);
	background: currentcolor;
	-webkit-mask: var(--_icon-mask);
	mask: var(--_icon-mask);
	pointer-events: none;
}

.ow-select-wrapper select:focus {
	border-color: #333;
	outline: none;
	box-shadow: 0 0 0 2px rgba(0, 0, 0, 0.1);
}

.ow-search-wrapper::before {
	--_icon-mask: var(--icon--search) no-repeat center / contain;

	content: "";
	position: absolute;
	top: 50%;
	left: 0;
	transform: translateY(-50%);
	width: var(--_icon-size);
	height: var(--_icon-size);
	background-color: var(--wp--preset--color--neutral-500);
	-webkit-mask: var(--_icon-mask);
	mask: var(--_icon-mask);
}

.ow-archive-filter__search {
	width: 100%;
	background-color: var(--_bg, #fff);
	color: var(--wp--preset--color--neutral-500);
	text-align: center;
	padding: var(--wp--preset--spacing--20, 20px) 0;
	font-size: var(--wp--preset--font-size--small);
	border: none;
	border-bottom: 2px solid var(--_fg);
	appearance: none;
	-webkit-appearance: none;
	-moz-appearance: none;
}

.ow-news-card {
	display: grid;
	align-content: end;
	gap: var(--wp--preset--spacing--30);
	color: var(--_news-card-fg);
	background:
		var(--_background-gradient),
		var(--image, linear-gradient(var(--wp--preset--color--contrast)));
	background-size: cover;
	background-position: center;
	padding: var(--wp--preset--spacing--80);
	aspect-ratio: 480 / 640;
}

.ow-news-card__title {
	margin: 0;
}

.ow-news-card__colophon {
	text-transform: uppercase;
}

.ow-news-card a {
	color: inherit;
}

.ow-post-card {
	--_bg: var(--ow-post-card--bg, var(--wp--preset--color--base, #fff));
	--_fg: var(--ow-post-card--fg, var(--wp--preset--color--contrast, #000));
	--_link-icon-url: var(--ow-content-links--link-icon-url, var(--icon-forward));
	--_link-icon-size: var(--ow-content-links--link-icon-size, 24px);
	--_icon-mask: var(--_link-icon-url) no-repeat center / contain;
	--_icon-size: var(--_link-icon-size);
	--_icon-rotate: 0deg;

	display: grid;
	align-content: flex-start;
	gap: var(--wp--preset--spacing--20);
	color: var(--_fg);
	background-color: var(--_bg);
}

.is-style-dark > .ow-post-card,
.ow-post-card.is-style-dark {
	--_bg: var(--ow-post-card--bg--dark, var(--wp--preset--color--contrast, #000));
	--_fg: var(--ow-post-card--fg--dark, var(--wp--preset--color--base, #fff));
}

.ow-post-card__sheets {
	display: flex;
	flex-wrap: wrap;
	gap: var(--wp--preset--spacing--20);
}

.ow-post-card__sheets .ow-post-card__sheets--item {
	background-color: var(--wp--preset--color--secondary-100);
	padding: 4px 8px;
	font-size: var(--wp--preset--font-size--small);
}

.ow-post-card__title {
	margin: 0;
}

.ow-post-card a {
	color: inherit;
}

.ow-post-card__image img {
	width: 100%;
	height: auto;
	object-fit: cover;
	aspect-ratio: 400 / 320;
}

.ow-post-card__date {
	color: var(--wp--preset--color--neutral-500);
}
